org.red5.io.object

## Class UnsignedLong

- java.lang.Object
- - java.lang.Number
  - - org.red5.io.object.UnsignedNumber
    - - org.red5.io.object.UnsignedLong

All Implemented Interfaces:
  Serializable

    public final class UnsignedLong
    extends UnsignedNumber

The UnsignedLong class wraps a value of an unsigned 64 bits number.

Author:
  Matteo Merli (matteo.merli@gmail.com)
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.red5.io.object.UnsignedNumber

`hexLetters`

### Constructor Summary

Constructors
Constructor and Description
`UnsignedLong(byte c)`
`UnsignedLong(int c)`
`UnsignedLong(long c)`
`UnsignedLong(Random random)` Construct a new random UnsignedLong.
`UnsignedLong(short c)`

### Method Summary

Methods
`int` `compareTo(UnsignedNumber other)`
`double` `doubleValue()`
`boolean` `equals(Object other)`
`float` `floatValue()`
`static UnsignedLong` `fromBytes(byte[] c)`
`static UnsignedLong` `fromBytes(byte[] c, int offset)`
`static UnsignedLong` `fromString(String c)`
`static UnsignedLong` `fromString(String c, int radix)`
`byte[]` `getBytes()` Get a byte array representation of the number.
`int` `hashCode()`
`int` `intValue()`
`long` `longValue()`
`void` `shiftLeft(int nBits)` Perform a bit left shift of the value.
`void` `shiftRight(int nBits)` Perform a bit right shift of the value.
`String` `toString()`

### Methods inherited from class org.red5.io.object.UnsignedNumber

`toHexString, toHexString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnsignedLong

    public UnsignedLong(byte c)

#### UnsignedLong

    public UnsignedLong(short c)

#### UnsignedLong

    public UnsignedLong(int c)

#### UnsignedLong

    public UnsignedLong(long c)

#### UnsignedLong

    public UnsignedLong(Random random)

Construct a new random UnsignedLong.

Parameters:
  `random` - a Random handler

### Method Detail

#### fromBytes

    public static UnsignedLong fromBytes(byte[] c)

#### fromBytes

    public static UnsignedLong fromBytes(byte[] c,
                         int offset)

#### fromString

    public static UnsignedLong fromString(String c)

#### fromString

    public static UnsignedLong fromString(String c,
                          int radix)

#### getBytes

    public byte[] getBytes()

Description copied from class: `UnsignedNumber`
Get a byte array representation of the number. The order will be MSB first (Big Endian).

Specified by:
  `getBytes` in class `UnsignedNumber`
Returns:
  the serialized number

#### toString

    public String toString()

Specified by:
  `toString` in class `UnsignedNumber`

#### intValue

    public int intValue()

Specified by:
  `intValue` in class `Number`

#### longValue

    public long longValue()

Specified by:
  `longValue` in class `Number`

#### floatValue

    public float floatValue()

Specified by:
  `floatValue` in class `Number`

#### doubleValue

    public double doubleValue()

Specified by:
  `doubleValue` in class `Number`

#### compareTo

    public int compareTo(UnsignedNumber other)

Specified by:
  `compareTo` in class `UnsignedNumber`

#### equals

    public boolean equals(Object other)

Specified by:
  `equals` in class `UnsignedNumber`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `UnsignedNumber`

#### shiftRight

    public void shiftRight(int nBits)

Description copied from class: `UnsignedNumber`
Perform a bit right shift of the value.

Specified by:
  `shiftRight` in class `UnsignedNumber`
Parameters:
  `nBits` - the number of positions to shift

#### shiftLeft

    public void shiftLeft(int nBits)

Description copied from class: `UnsignedNumber`
Perform a bit left shift of the value.

Specified by:
  `shiftLeft` in class `UnsignedNumber`
Parameters:
  `nBits` - the number of positions to shift